<!doctype html>
<!--[if lt IE 7]><html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""><![endif]-->
<!--[if IE 7]> <html class="no-js lt-ie9 lt-ie8" lang=""><![endif]-->
<!--[if IE 8]><html class="no-js lt-ie9" lang=""><![endif]-->
<!--[if gt IE 8]><!--><html class="no-js" lang="en"><!--<![endif]-->

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>About Chicago Dog Walkers | Dog Walking Service</title>
  <meta name="description" content="Chicago Reader's #1 Dog Walking Service, we pride ourselves on our high quality of service and dedicated staff. Founded in 1999. Rescue Dog Discounts.">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="apple-touch-icon" href="assets/img/various/apple-touch-icon.png">
  <link rel="shortcut icon" href="assets/img/favicon.ico" type="image/x-icon">
  <link href='https://fonts.googleapis.com/css?family=Montserrat:400,700%7COpen+Sans:300,400,700,800' rel='stylesheet' />
  <link rel="stylesheet" href="assets/js/libs/font-awesome/css/font-awesome.min.css"/>
  <link rel="stylesheet" href="assets/js/libs/bootstrap/dist/css/bootstrap.min.css"/>
  <link rel="stylesheet" href="assets/css/icons/nucleo.css"/>
  <link rel="stylesheet" href="assets/js/libs/animate.css/animate.min.css"/>
  <!-- BEGIN PAGE STYLE -->
  <link rel="stylesheet" href="assets/js/libs/owl.carousel/dist/assets/owl.carousel.css" />
  <link rel="stylesheet" href="assets/js/libs/owl.carousel/dist/assets/owl.theme.default.min.css"/>
  <link rel="stylesheet" href="assets/css/hover-effects.css"/>
  <link rel="stylesheet" href="assets/css/sliders.css"/>
  <!-- END PAGE STYLE -->
  <link rel="stylesheet" href="assets/css/buttons.css"/>
  <link rel="stylesheet" href="assets/css/builder.css"/>
  <link rel="stylesheet" href="assets/css/colors.css"/>
  <link rel="stylesheet" href="assets/css/footers.css"/>    
  <link rel="stylesheet" href="assets/css/main.css"/>
  <link rel="stylesheet" href="assets/css/nav.css"/>
  <link rel="stylesheet" href="assets/css/preloader.css"/>
  <link rel="stylesheet" href="assets/css/themes.css"/>
  <link rel="stylesheet" href="assets/css/ui.css"/>
  <link rel="stylesheet" href="assets/css/widgets.css"/>
  <script src="assets/js/modernizr-2.8.3-respond-1.4.2.min.js"></script>
</head>
<?php include("ginc/config.php"); ?>

<body class="header-transparent">

  <!--[if lt IE 8]>
    <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
  <![endif]-->

  <!-- BEGIN PRELOADER -->
  <div class="loader-wrapper">
    <div class="loader-circle"></div>
  </div>
  <!-- END PRELOADER -->

  <div id="wrapper">

    <?php include("ginc/nav.php"); ?>

    <!-- BEGIN MAIN CONTENT -->
    <div id="main-content">

      <section class="section section-dark height-full t-right centbgimg abo" data-bg-img="cdw/bg/4-2.jpg" data-top="background-position:0px 0px; background-size: cover;" data-top-bottom="background-position:0px -150px;">
        <div class="table-wrapper">
          <div class="row m-b-50">
            <div class="container" data-0="margin-bottom:0px" data-500="margin-bottom:-250px">
              <div class="col-md-12 m-t-60">
                <h1>About Chicago<br/>Dog Walkers</h1>
              </div>
            </div>
          </div>
        </div>
      </section>

      <!-- BEGIN FEATURES -->
      <section class="section">
        <div class="container">
          
        	<div class="row">
        		<div class="col-md-12">
        		  <h3>About Us</h3> 

                <ul>
                  <li>Your dog(s) will always be walked alone.</li>

                  <li>If your dog is a rescue, you receive a discount on each visit.</li>

                  <li>We always try to be there for you if you need us in the evenings and on the weekends. We always try to accommodate last minute and emergency visits.</li>

                  <li>We ask for 2 sets of keys. There may an instance where your regular walker isn't available for a weekend, last minute evening visit, emergency, etc. This 2nd key give us quick access to get there quickly.</li>

                  <li>You are assigned the same dedicated walker. Your dog will know the same familiar face.</li>

                  <li>Our office is staffed 9 to 5, Monday - Friday. You are given after hours contact info for emergencies</li>

                  <li>To hire our service, a meet and greet is scheduled. This allows you the opportunity to see the dynamic between the walker and your dog. It also helps you to determine if you want to move forward. Meet and greets are typically scheduled for late afternoons and early evenings, when you return home from work. We also meet on Saturdays, mid-morning. If you adopt a dog over a weekend and need service immediately, let us know. </li>

                  <li>References are sent for the walker that we assign you. These are current and past clients who are familiar with the walkers efficiency, dependability, character, etc.</li>
                  <li>Our walkers are employee's, not independent contractors.</li>

                  <li>We are fully insured. Our policies can be viewed on this website.</li>

                  <li>We offer 2 methods of payment. Monthy check or monthly credit card billing. </li>

                  <li>We do not accept pre-payment for service. We bill you via email at the start of each new month, itemizing the visits from the previous month. We give you a few days to look it over, then debit your card.</li>

                  <li>We ask for a minimum of 3 visits per week. The days can change week to week. You are never penalized if you fall short of the minimum. </li>

                  <li>We have a very liberal cancellation policy. We just ask that you call, text or email us before the walkers arrival.</li>

                  <li>We take your directive to follow closely and be consistent with training routines. We'll reinforce everything you want for consistency and use the same commands as you.</li> 
                </ul>
                <br>

              <h3>More About Chicago Dog Walkers</h3>

              <p>CDW has been owned and managed by Marc Matlin since 1999 and has provided a loving, caring and professional service for Chicago Pets ever since. We have three goals - First, to ensure the safety and happiness of all the dogs we serve; second, to provide a reliable and dependable service for busy Chicagoans at an affordable price; and third, to provide steady employment for caring responsible people who are dedicated to working with dogs. We are a grassroots business that prioritizes the welfare of the dogs we serve. We don't "recruit" walkers through an app, we hand pick and train all of our employees. </p>
              <br>
              <h3>Our Walkers</h3>

              <p>All of our walkers are official Chicago Dog Walkers employees. We don't use independent contractors. Nor do we operate a revolving door of casual labor. All of our walkers are hired with the understanding that they will stay with us for at least one year. We want our walkers to form a close bond with the dogs they walk each day, and we know that clients appreciate that consistency.</p>

              <p>Employees are subject to a criminal background check and have references checked before starting on the job. They are then put through supervised training to be certain that they are fully aware of Chicago Dog Walkers, Inc. safety procedures and overall standard of pet care.</p>
              <br>
              <h3>We Are A Pet Care Service</h3>

              <p>The last few years has seen the emergence of multi million dollar dog walking companies who describe themselves as an "app" or the "Uber of dog walking". We are not an app and never will be. With Chicago Dog Walkers, you can call, text, or email the office or your walker about scheduling or other things we need to know. At the end of the day, your pets don't care about apps. They just want to know they're loved, and that they can trust a familiar face to take good care of them when you're at work. This is who we are!</p>
            
            </div>
            	<!--<div class="col-md-12">
                	<h3>Our Story</h3>
              		<p>In 1999, I was working long hours in a corporate environment and <em>not</em> loving it. I had to hire a dog walker because the thought of leaving my beloved dog home all day by herself was very difficult for me.</p>
<p>It was then that I looked at my job and the job I had just provided for the walker. The revelation was immediate: spending time outdoors with wonderful companions seemed like a much better idea than sitting behind a desk in a windowless office.</p>
<p>I started Chicago Dog Walkers that year and business grew by word of mouth. From my experience as a lifelong dog owner, I knew precisely what other pet owners were looking for and what I could gladly provide… responsible, affectionate, active companionship.</p>

<p>It gives me immense satisfaction to know that our clients, just in choosing a pet care service, are thinking about their pet’s happiness and well-being. &nbsp;I am moved every single day that our clients allow us into their homes to become an important part of their pets’ daily lives.</p>
<p>When it comes to my business, I’m proud of several things-&nbsp; the insurance I carry, a staffed office and my accessibility. The thing I am most proud of is our walkers. These individuals are always, <strong>always</strong> people that I would trust to watch my own pets. They are all kind, responsible and compassionate, with an affinity for animals and I am very fortunate to be associated with each and every one of them.</p>
				</div>
				<div class="col-md-6">
					<h3>More About Chicago Dog Walkers</h3>

					<p>CDW has been owned and managed by Marc Matlin since 1999 and has provided a loving, caring and professional service for Chicago Pets ever since. We have three goals - First, to ensure the safety and happiness of all the dogs we serve; second, to provide a reliable and dependable service for busy Chicagoans at an affordable price; and third, to provide steady employment for caring responsible people who are dedicated to working with dogs. We are a grassroots business that prioritizes the welfare of the dogs we serve. We don't "recruit" walkers through an app, we hand pick and train all of our employees. </p>
				</div>
				<div class="col-md-6">
					<h3>We Are A Pet Care Service</h3>
					<p>The last few years has seen the emergence of multi million dollar dog walking companies who describe themselves as an "app" or the "Uber of dog walking". We are not an app and never will be. With Chicago Dog Walkers, you can call, text, or email the office or your walker about scheduling or other things we need to know. At the end of the day, your pets don't care about apps. They just want to know they're loved, and that they can trust a familiar face to take good care of them when you're at work. This is who we are!</p>
              	</div>-->
          	</div>
          
        </div>
      </section>
      <!-- END FEATURES -->
      
      <?php include("ginc/come-walk-with-us.php"); ?>
      
    </div>
    <!-- END MAIN CONTENT -->

    <?php include("ginc/foot.php"); ?>

  </div>

  <!-- BEGIN OFF FULLSCREEN SEARCH -->
  <div class="search-overlay overlay-dark">
    <a href="#" class="search-overlay-close"><i class="nc-icon-outline ui-1_simple-remove"></i></a>
    <form action="search-result" method="post">
      <input type="search" placeholder="Search...">
      <button type="submit"><i class="nc-icon-outline ui-1_zoom-split"></i></button>
    </form>
  </div>
  <!-- END OFF FULLSCREEN SEARCH -->

  <a href="#" class="scrollup">
    <i class="nc-icon-outline arrows-1_minimal-up"></i>
  </a>

  <script src="assets/js/libs/jquery/dist/jquery.min.js"></script>
  <script src="assets/js/libs/jquery-ui/jquery-ui.min.js"></script>
  <script src="assets/js/libs/gsap/src/minified/TweenMax.min.js"></script>
  <script src="assets/js/libs/gsap/src/minified/plugins/ScrollToPlugin.min.js"></script>
  <script src="assets/js/libs/tether/dist/js/tether.min.js"></script>
  <script src="assets/js/libs/bootstrap/dist/js/bootstrap.min.js"></script>
  <script src="assets/js/libs/superfish/dist/js/superfish.min.js"></script>
  <script src="assets/js/libs/appear/jquery.appear.js"></script>
  <script src="assets/js/libs/skrollr/dist/skrollr.min.js"></script>  
  <script src="assets/js/libs/easyticker-jquery/jquery.easy-ticker.min.js"></script>
  
  <!-- BEGIN PAGE SCRIPT -->
  <script src="assets/js/libs/jribbble/dist/jribbble.min.js"></script>
  <script src="assets/js/libs/owl.carousel/dist/owl.carousel.min.js"></script>
  <script src="assets/js/sliders.js"></script>
  <script src="assets/js/widgets.js"></script>
  <!-- END PAGE SCRIPT -->

  <script src="assets/js/navigation.js"></script>
  <script src="assets/js/search.js"></script>
  <script src="assets/js/builder.js"></script>
  <script src="assets/js/main.js"></script>

</body>
</html>